#ifndef MACH_O_FAT_H
#include <mach-o/fat.h>
#endif

struct  NXArchInfo{
int cputype;
int cpusubtype;
};
typedef struct  NXArchInfo NXArchInfo ;


int NXGetLocalArchInfo();

 int NXFindBestFatArch(int a, int b, int c, int d);